//-----------------------------------------------------------------------------
// File: Explosion.h
//
// Desc: Interface for the Explosion class
//       Note: This code uses the D3D Framework helper library.
//
//
// Copyright (c) 1999 NVIDIA Corporation. All rights reserved.
//-----------------------------------------------------------------------------

#if !defined(AFX_EXPLOSION_H__F96D2620_94E4_11D2_85B4_00104B2764D5__INCLUDED_)
#define AFX_EXPLOSION_H__F96D2620_94E4_11D2_85B4_00104B2764D5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyLandscape.h"


typedef enum tagEXPLOSIONTYPE{
	EXP_VOLUMETRIC,
	EXP_VOLUMETRICWORLDSPACE,
	EXP_VOLUMETRICNOTEXTURE,
	EXP_BILLBOARD
} EXPLOSIONTYPE;

class Explosion  
{
private:
	LPDIRECT3DVERTEXBUFFER pVB;
	LPDIRECT3DVERTEXBUFFER pVBTX;
	LPDIRECT3DVERTEXBUFFER pVBExp;
public:

	float x;
	float y;
	float z;
	float radius;
	float inc;
	void Render(LPDIRECT3DDEVICE3 pDev,MyLandscape *pLandscape,LPD3DMATRIX pViewMat);
	void RenderB(LPDIRECT3DDEVICE3 pDev,MyLandscape *pLandscape,LPD3DMATRIX pViewMat);
	void RenderZBias(LPDIRECT3DDEVICE3 pDev, MyLandscape *pLandscape,LPD3DMATRIX pViewMat);
	void IncrementRadius(void);
	Explosion();
	virtual ~Explosion();

};

#endif // !defined(AFX_EXPLOSION_H__F96D2620_94E4_11D2_85B4_00104B2764D5__INCLUDED_)
